Updates a specific retrospective process by id
curl --request PUT \
--url https://api.rootly.com/v1/retrospective_processes/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "retrospective_processes",
"attributes": {
"name": "<string>",
"description": "<string>",
"retrospective_process_matching_criteria": {
"severity_ids": [
"<string>"
]
}
}
}
}
'{
"data": {
"id": "37ace4fd-d6ae-43e6-9288-5cb5a3710160",
"type": "retrospective_processes",
"attributes": {
"name": "Retrospective Process 2",
"description": "Retrospective Process 2 description",
"is_default": false,
"created_at": "2026-02-23T05:16:36.576-08:00",
"updated_at": "2026-02-23T05:16:39.055-08:00",
"retrospective_process_matching_criteria": {
"group_ids": [
"c8d19751-991c-455d-a473-7ea6aa24b25e"
]
}
},
"relationships": {
"retrospective_steps": {
"data": [
{
"id": "4eb05ea1-2b88-46db-b867-a2dacbccfbcb",
"type": "retrospective_steps"
},
{
"id": "3fbb5270-c186-4ac7-8666-970dedf84ed2",
"type": "retrospective_steps"
}
]
},
"groups": {
"data": [
{
"id": "c8d19751-991c-455d-a473-7ea6aa24b25e",
"type": "groups"
}
]
}
}
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Show child attributes
retrospective_process updated
Show child attributes
Was this page helpful?
curl --request PUT \
--url https://api.rootly.com/v1/retrospective_processes/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "retrospective_processes",
"attributes": {
"name": "<string>",
"description": "<string>",
"retrospective_process_matching_criteria": {
"severity_ids": [
"<string>"
]
}
}
}
}
'{
"data": {
"id": "37ace4fd-d6ae-43e6-9288-5cb5a3710160",
"type": "retrospective_processes",
"attributes": {
"name": "Retrospective Process 2",
"description": "Retrospective Process 2 description",
"is_default": false,
"created_at": "2026-02-23T05:16:36.576-08:00",
"updated_at": "2026-02-23T05:16:39.055-08:00",
"retrospective_process_matching_criteria": {
"group_ids": [
"c8d19751-991c-455d-a473-7ea6aa24b25e"
]
}
},
"relationships": {
"retrospective_steps": {
"data": [
{
"id": "4eb05ea1-2b88-46db-b867-a2dacbccfbcb",
"type": "retrospective_steps"
},
{
"id": "3fbb5270-c186-4ac7-8666-970dedf84ed2",
"type": "retrospective_steps"
}
]
},
"groups": {
"data": [
{
"id": "c8d19751-991c-455d-a473-7ea6aa24b25e",
"type": "groups"
}
]
}
}
}
}